using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    /// <summary>
    /// 签证费用资料
    /// </summary>
    [SugarTable("Res_CountryFeeCost")]
    public class Res_CountryFeeCost:EntityBase
    {
        /// <summary>
        /// 洲名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string VisaContinent { get; set; }

        /// <summary>
        /// 国家名
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string VisaCountry { get; set; }

        /// <summary>
        /// 是否免签免签 0:是 1:否
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsVisaExemption { get; set; }
        /// <summary>
        /// 是否落地签 0:是 1:否
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsVisaOnArrival { get; set; }
        /// <summary>
        /// 是否电子签 0:是 1:否
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsElectronicSignature { get; set; }

        /// <summary>
        /// 签证费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal VisaPrice { get; set; }

        /// <summary>
        /// 签证费用描述
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string VisaPriceDesc { get; set; }

        /// <summary>
        /// 签证类型 大公务/小公务/大小公务同时免签
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string VisaType { get; set; }

        /// <summary>
        /// 大公务代办费
        /// 新增字段
        /// 雷怡 2024-05-07 15:45:09 
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal GrandBusinessAgencyFee { get; set; }

        /// <summary>
        /// 小公务代办费
        /// 新增字段
        /// 雷怡 2024-05-07 15:45:09
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal PettyBusinessAgencyFee { get; set; }

        /// <summary>
        /// 一般签证时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string VisaTime { get; set; }

        /// <summary>
        /// 签证是否加急 0:加急  1: 不加急
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsUrgent { get; set; }

        /// <summary>
        /// 加急时间 
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string UrgentTime { get; set; }

        /// <summary>
        /// 加急费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal UrgentPrice { get; set; }

        /// <summary>
        /// 加急费用描述 
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string UrgentPriceDesc { get; set; }

        /// <summary>
        /// 签证地址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(255)")]
        public string VisaAddress { get; set; }

        /// <summary>
        /// 最后更新时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(30)")]
        public string LastUpdateTime { get; set; } = DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss");

    }
}
